<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header font-family-sty" style="font-size: 28px;">รูปแบบผลิตภัณฑ์ - Housing Loan</a>
      </div>
      <p class="pps-header_th font-family-sty">
        เพิ่มรายละเอียดเกี่ยวกับรูปแบบผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!-- -------------------------------------------------next button ---------------------------------------- -->
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="row">
    <div class="col-md-12">
      <div (click)="nextpage('back')" class="button-next pull-left" *ngIf="checkLocal !== '0' && checkLocal !== 'A'">
        &lt; ย้อนกลับ
      </div>
      <div (click)="nextpage('next')" class="button-next pull-right"
        [ngClass]="{'button-next-non': pageLast === 'last'}">
        รูปแบบผลิตภัณฑ์หน้าถัดไป &gt;
      </div>
    </div>
    <br />
  </div>
</div>

<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="margin-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
  <!-- -------------------------------------รายละเอียดของแต่ละกลุ่มเป้าหมาย-------------------------------------------- -->
  <div style="background-color: #ffffff;">
    <div class="mt-3 row">
      <div class="col-12">
        <div class="detail-each-group">
          <div class="d-flex" style="align-items: flex-end;">
            <label class="head-detal">รายละเอียดของสินเชื่อ</label>
            <button class="btn btn-primary add-data" (click)="add(1)">
              <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
            </button>
          </div>
          <hr />
        </div>
      </div>

      <div class="col-12">
        <div class="mt-2 detail-each-group">
          <div class="table-responsives">
            <table>
              <tr>
                <th rowspan="2" *ngFor="let header of header"
                  [ngStyle]=" {'width': header.name == 'loandType' || header.name == 'limitType'?  'auto' : '200px' }">
                  {{ header.value }}
                </th>
                <th colspan="3" style="border-bottom: 1px solid #999999;">
                  อัตราดอกเบี้ยค่าธรรมเนียม (%)
                </th>
                <th rowspan="2" style="width: 8%;"></th>
                <!-- <th>&nbsp;test</th> -->
              </tr>
              <tr>
                <th *ngFor="let sub of sub_header" style="width:130px">{{ sub.value }}</th>
              </tr>

              <tr *ngFor="
                  let row of stepThree_3.requestHousingCredit;
                  let index = index
                ">
                <td *ngFor="let header of all_header">
                  <div *ngIf="header.name =='loandType' || header.name =='limitType' ">
                    <textarea appTextareaAutoresize autocomplete="off"
                      [ngClass]="{'text-align-left': header.name == 'loandType' || header.name == 'limitType' }"
                      class="form-control example" [(ngModel)]="row[header.name]"
                      (ngModelChange)="changeSaveDraft()"></textarea>
                  </div>
                  <div *ngIf="header.name !=='loandType' && header.name !=='limitType' ">
                    <input min="0" type="number" class="form-control" rows="1" [(ngModel)]="row[header.name]"
                      (ngModelChange)="changeSaveDraft()">
                  </div>
                </td>
                <td style="padding-top: 13px;">
                  <a class="delete-text-SME-M" (click)="delete(1, row, index)">ลบข้อมูล</a>
                </td>
              </tr>
            </table>

          </div>

          <div class="mt-1 col-12 detail-Credit" style="align-content: flex-end; padding-right: 0px;">
            <button class="btn btn-primary add-data" (click)="add(1)">
              <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
            </button>
          </div>

        </div>
      </div>

      <div class="col-12">
        <div class="row">
          <div class="col-12">
            <p class="head-detal">
              ลักษณะข้อตกลง
              <label class="type-collateral" style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ข้อมูล)</label>
            </p>
          </div>
          <div class="col-12 body-detal-checkbox">
            <div class="align-items-stretch checkbox-layout">
              <div class="d-flex bd-highlight checkbox-box">
                <mat-checkbox [disabled]="stepThree_3.agreement[2].flag == true? 'true' : 'false'"
                  [(ngModel)]="stepThree_3.agreement[0].flag" (ngModelChange)="changeSaveDraft()"
                  (change)="changeCheckbox()">
                </mat-checkbox>
                <div class="bd-highlight checkbox-detail" [ngStyle]="{
                        color: stepThree_3.agreement[0].flag == false ? 'black' : '#00a4e4'}">
                  {{ stepThree_3.agreement[0].topic }}
                </div>
              </div>

              <div class="d-flex bd-highlight checkbox-box">
                <mat-checkbox [disabled]="stepThree_3.agreement[2].flag == true? 'true' : 'false'"
                  [(ngModel)]="stepThree_3.agreement[1].flag" (ngModelChange)="changeSaveDraft()"
                  (change)="changeCheckbox()">
                </mat-checkbox>
                <div class="bd-highlight checkbox-detail" [ngStyle]="{
                        color: stepThree_3.agreement[1].flag == false ? 'black' : '#00a4e4'}">
                  {{ stepThree_3.agreement[1].topic }}
                </div>
              </div>

              <div class="d-flex bd-highlight checkbox-box">
                <mat-checkbox
                  [disabled]="stepThree_3.agreement[0].flag || stepThree_3.agreement[1].flag == true? 'true' : 'false' "
                  [(ngModel)]="stepThree_3.agreement[2].flag" (ngModelChange)="changeSaveDraft()"
                  (change)="changeCheckbox()">
                </mat-checkbox>
                <div class="bd-highlight checkbox-detail" [ngStyle]="{
                        color: stepThree_3.agreement[2].flag == false ? 'black' : '#00a4e4'}">
                  {{ stepThree_3.agreement[2].topic }}
                </div>
              </div>


            </div>
          </div>
        </div>
        <br />
      </div>
    </div>


    <div class="col-12">
      <div class="type_check">
        <label class="type-collateral">กลุ่มเป้าหมาย </label>
        <label class="type-collateral" style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ข้อมูล)</label>
        <div class="row">
          <div class="body-detal-checkbox-last">
            <div class="align-items-stretch checkbox-layout">
              <div class="d-flex bd-highlight checkbox-box">
                <mat-checkbox [(ngModel)]="stepThree_3.target[0].flag" (ngModelChange)="changeValue_Gain()">
                </mat-checkbox>
                <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color: stepThree_3.target[0].flag == false ? 'black' : '#00a4e4'
                      }">
                  {{ stepThree_3.target[0].topic }}
                </div>
              </div>
            </div>
            <div *ngFor="let check_0 of stepThree_3.target[0].child">
              <mat-checkbox [disabled]="stepThree_3.target[0].flag == true ? 'false' : 'true'" class="ml-4"
                [(ngModel)]="check_0.flag" (ngModelChange)="changeValue_Gain()"></mat-checkbox>
              <label [ngStyle]="{
                      color: check_0.flag == false ? 'black' : '#00a4e4'
                    }">{{ check_0.topic }}</label>
              <br />
            </div>
            <!-- ------------------------------------------ -->
            <div class="align-items-stretch checkbox-layout">
              <div class="d-flex bd-highlight checkbox-box">
                <mat-checkbox [(ngModel)]="stepThree_3.target[1].flag" (ngModelChange)="changeValue_Gain()">
                </mat-checkbox>
                <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color: stepThree_3.target[1].flag == false ? 'black' : '#00a4e4'
                      }">
                  {{ stepThree_3.target[1].topic }}
                </div>
              </div>
            </div>
            <div *ngFor="let check_1 of stepThree_3.target[1].child">
              <mat-checkbox [disabled]="stepThree_3.target[1].flag == true ? 'false' : 'true'" class="ml-4"
                [(ngModel)]="check_1.flag" (ngModelChange)="changeValue_Gain()"></mat-checkbox>
              <label [ngStyle]="{
                      color: check_1.flag == false ? 'black' : '#00a4e4'
                    }">{{ check_1.topic }}</label>
              <br />
            </div>
          </div>

          <!--------------------------------------------------------------------------------------------------- -->
          <div class="body-detal-checkbox-last">
            <div class="align-items-stretch checkbox-layout">
              <div class="d-flex bd-highlight checkbox-box">
                <mat-checkbox [(ngModel)]="stepThree_3.target[2].flag" (ngModelChange)="changeValue_Gain()">
                </mat-checkbox>

                <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color: stepThree_3.target[2].flag == false ? 'black' : '#00a4e4'
                      }">
                  {{ stepThree_3.target[2].topic }}
                </div>
              </div>
            </div>

            <div class="align-items-stretch checkbox-layout">
              <div class="d-flex bd-highlight checkbox-box">
                <mat-checkbox [(ngModel)]="stepThree_3.target[3].flag" (ngModelChange)="changeValue_Gain()">
                </mat-checkbox>

                <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color: stepThree_3.target[3].flag == false ? 'black' : '#00a4e4'
                      }">
                  {{ stepThree_3.target[3].topic }}
                </div>
              </div>
            </div>

            <textarea rows="5" class="form-control mb-2" style="width: 97%;" placeholder="ระบุรายละเอียดเพิ่มเติม"
              [disabled]="stepThree_3.target[3].flag == true ? 'false' : 'true'"
              [(ngModel)]="stepThree_3.target[3].otherDetail" (change)="changeValue_Gain()"></textarea>
          </div>
        </div>
      </div>
    </div>

    <div class="col-12">
      <div class="typeofcollateral">
        <br />
        <div class="row" style="width: 100%; margin: auto;">
          <label style="font-size: 18px;">เกณฑ์การพิจารณาสินเชื่อ</label>
        </div>
        <hr />

        <div style=" margin: auto;
        overflow-x: auto;">

          <!-- -----------------------------------------gain aplicant---------------------------------------- -->
          <table [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <tr>
              <th style="width: 30%; background-color: #e0e0e0;">หัวข้อ</th>
              <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                <a *ngIf="header != 'Undefined'">{{ header }}</a>
                <a *ngIf="header == 'Undefined'">ไม่มีกำหนด</a>
              </th>
              <th style="width: 8%; background-color: #e0e0e0;"></th>

            </tr>
            <tr>
              <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                คุณสมบัติผู้ขอสินเชื่อ
              </th>
              <th>
                <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(1)">
                  <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                </button>
              </th>
            </tr>

            <tr *ngFor="let row of stepThree_3.consider.applicant; let index = index" style="vertical-align: top;">
              <td>
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.topic"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()" placeholder="กรุณาระบุหัวข้อ"></textarea>
              </td>
              <td *ngFor="let header of index_to_create_template">
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.detail[header]"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()"
                  placeholder="กรุณาระบุข้อมูลรายละเอียด"></textarea>
              </td>
              <td style="text-align: center; width: 8%; padding-top: 20px;">
                <a class="delete-text-SME-M" (click)="delete_gain(1, row, index)">ลบข้อมูล</a>
              </td>
            </tr>
          </table>
          <div style="width: 1990px;" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(1)">
              <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
            </button>
            <br />
          </div>

          <!-- -----------------------------------------gain finance---------------------------------------- -->
          <table class="mt-5" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <tr style="display: none;">
              <th style="width: 20%; background-color: #e0e0e0;">topic</th>
              <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                {{ header }}
              </th>
              <th style="width: 8%; background-color: #e0e0e0;"></th>
              <!-- <th>&nbsp;test</th> -->
            </tr>
            <tr>
              <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                ข้อมูลทางการเงิน
              </th>
              <th>
                <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(2)">
                  <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                </button>
              </th>
            </tr>

            <tr *ngFor="let row of stepThree_3.consider.finan; let index = index" style="vertical-align: top;">
              <td style="width: 30%;">
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.topic"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()" placeholder="กรุณาระบุหัวข้อ"></textarea>
              </td>
              <td *ngFor="let header of index_to_create_template">
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.detail[header]"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()"
                  placeholder="กรุณาระบุข้อมูลรายละเอียด"></textarea>
              </td>
              <td style="text-align: center; width: 8%; padding-top: 20px;">
                <a class="delete-text-SME-M" (click)="delete_gain(2, row, index)">ลบข้อมูล</a>
              </td>
            </tr>
          </table>
          <div style="width: 1990px;" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(2)">
              <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
            </button>
            <br />
          </div>

          <!-- -----------------------------------------gain statusCustomer---------------------------------------- -->
          <table class="mt-5" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <tr style="display: none;">
              <th style="width: 20%; background-color: #e0e0e0;">topic</th>
              <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                {{ header }}
              </th>
              <th style="width: 8%; background-color: #e0e0e0;"></th>
              <!-- <th>&nbsp;test</th> -->
            </tr>
            <tr>
              <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                ข้อมูลสถานะ/ประวัติทางการเงินของลูกค้า
              </th>
              <th>
                <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(3)">
                  <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                </button>
              </th>
            </tr>

            <tr *ngFor="let row of stepThree_3.consider.status; let index = index" style="vertical-align: top;">
              <td style="width: 30%;">
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.topic"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()" placeholder="กรุณาระบุหัวข้อ"></textarea>
              </td>
              <td *ngFor="let header of index_to_create_template">
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.detail[header]"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()"
                  placeholder="กรุณาระบุข้อมูลรายละเอียด"></textarea>
              </td>
              <td style="text-align: center; width: 8%; padding-top: 20px;">
                <a class="delete-text-SME-M" (click)="delete_gain(3, row, index)">ลบข้อมูล</a>
              </td>
            </tr>
          </table>
          <div style="width: 1990px;" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(3)">
              <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
            </button>
            <br />
          </div>

          <!-- -----------------------------------------gain Other---------------------------------------- -->
          <table class="mt-5" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <tr style="display: none;">
              <th style="width: 20%; background-color: #e0e0e0;">topic</th>
              <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                {{ header }}
              </th>
              <th style="width: 8%; background-color: #e0e0e0;"></th>
              <!-- <th>&nbsp;test</th> -->
            </tr>
            <tr>
              <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                เกณฑ์การพิจารณาอื่นๆ
              </th>
              <th>
                <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(4)">
                  <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                </button>
              </th>
            </tr>

            <tr *ngFor="let row of stepThree_3.consider.other; let index = index" style="vertical-align: top;">
              <td style="width: 30%;">
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.topic"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()" placeholder="กรุณาระบุหัวข้อ"></textarea>
              </td>
              <td *ngFor="let header of index_to_create_template">
                <textarea appTextareaAutoresize autocomplete="off" class="text-align-left form-control example" [(ngModel)]="row.detail[header]"
                  (ngModelChange)="changeSaveDraft()" (change)="consider()"
                  placeholder="กรุณาระบุข้อมูลรายละเอียด"></textarea>
              </td>
              <td style="text-align: center; width: 8%; padding-top: 20px;">
                <a class="delete-text-SME-M" (click)="delete_gain(4, row, index)">ลบข้อมูล</a>
              </td>
            </tr>
          </table>
          <div style="width: 1990px;" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <button class="btn btn-primary add-data-gain" (click)="add_gain_credit(4)">
              <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
            </button>
            <br />
          </div>
        </div>


        <br /><br />
        <!-- *********************************************************************************************************  -->
        <div class="col-12 typeofcollateral">
          <div class="type_check">
            <label class="type-collateral">ประเภทหลักประกัน (สามารถเลือกได้มากกว่า 1 ข้อมูล)</label>
            <div class="row">
              <div class="body-detal-checkbox-last">
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[0].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[0].flag == false ? 'black' : '#00a4e4'
                        }">
                    เงินฝาก
                  </div>
                </div>
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[1].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[1].flag == false ? 'black' : '#00a4e4'
                        }">
                    ตราสารหนี้ ตราสารทุน หน่วยลงทุน
                  </div>
                </div>
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[1].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[0].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[1].child[0].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">พันธบัตร หุ้นกู้ หรือตั๋วเงิน</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[1].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[1].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[1].child[1].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">หุ้นบุริมสิทธิหรือหุ้นสามัญ</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[1].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[2].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[1].child[2].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">หน่วยลงทุนทุกประเภทกองทุนรวม</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[1].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[3].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[1].child[3].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">หน่วยลงทุนประเภทกองทุนเปิด</label>

                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[2].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[2].flag == false ? 'black' : '#00a4e4'
                        }">
                    อสังหาริมทรัพย์
                  </div>
                </div>

                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[2].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[0].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[2].child[0].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">ที่ดินว่างเปล่า</label>
                <br />

                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[2].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[1].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[2].child[1].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">ที่ดินว่างเปล่าที่มีสภาพคล่องต่ำ</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[2].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[2].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[2].child[2].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">ที่ดินในนิคมอุตสาหกรรม</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[2].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[3].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[2].child[3].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">ที่ดินพร้อมสิ่งปลูกสร้าง</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[2].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[4].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[2].child[4].flag == true
                            ? '#00a4e4'
                            : 'black'
                      }">กรรมสิทธิ์อาคารชุด</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[2].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[5].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[2].child[5].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">อู่ซ่อมเรือ</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[2].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[6].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[2].child[6].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">อสังหาริมทรัพย์อื่นๆ</label>
                <br />
              </div>

              <div class="body-detal-checkbox-last">
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[3].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[3].flag == false ? 'black' : '#00a4e4'
                        }">
                    สินค้า/เครื่องจักร/เรือ
                  </div>
                </div>
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[3].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[3].child[0].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[3].child[0].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">เครื่องจักร</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[3].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[3].child[1].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[3].child[1].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">สต็อคสินค้าในคลังสินค้า</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[3].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[3].child[2].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[3].child[2].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">เรือ</label>
                <br />
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[4].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[4].flag == false ? 'black' : '#00a4e4'
                        }">
                    การค้ำประกัน
                  </div>
                </div>
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[4].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[0].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[4].child[0].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">หนังสือค้ำประกัน Standby Letter of Credit</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[4].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[1].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[4].child[1].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">การค้ำประกันโดยกระทรวงการคลัง</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[4].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[2].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[4].child[2].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">การค้ำประกันโดยสถาบันการเงิน</label>
                <br />
                <mat-checkbox [disabled]="
                        stepThree_3.guaranty[4].flag == true ? 'false' : 'true'
                      " class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[3].flag"
                  (ngModelChange)="changeValue_collateral()"></mat-checkbox>
                <label [ngStyle]="{
                        color:
                          stepThree_3.guaranty[4].child[3].flag == false
                            ? 'black'
                            : '#00a4e4'
                      }">การค้ำประกันโดยบรรษัทสินเชื่ออุตสาหกรรมขนาดย่อม</label>

                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[5].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[5].flag == false ? 'black' : '#00a4e4'
                        }">
                    โอนสิทธิการเช่า
                  </div>
                </div>
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[6].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[6].flag == false ? 'black' : '#00a4e4'
                        }">
                    บุคคลค้ำประกัน
                  </div>
                </div>
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepThree_3.guaranty[7].flag" (ngModelChange)="changeValue_collateral()">
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                          color:
                            stepThree_3.guaranty[7].flag == false ? 'black' : '#00a4e4'
                        }">
                    อื่นๆ
                  </div>
                </div>
                <div>
                  <textarea rows="5" class="form-control mb-2" style="width: 97%;" placeholder="ระบุรายละเอียดเพิ่มเติม"
                    [disabled]="
                          stepThree_3.guaranty[7].flag == true ? 'false' : 'true'
                        " [(ngModel)]="stepThree_3.guaranty[7].otherDetail"
                    (change)="changeValue_collateral()"></textarea>
                </div>
              </div>
            </div>
          </div>
        </div>


        <!-- ----------------------------------------- เกณฑ์การกำหนดวงเงินกู้-------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">เกณฑ์การกำหนดวงเงินกู้</p>
          </div>
          <div class="mainText">
            <div class="textarea-container">
              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                    [innerHTML]="this.textareaForm.get('loan').value"
                    style="min-height: 120px; max-width: auto; padding-top: 7px;" id="loan"
                    (ngModelChange)="changeSaveDraft()"></div> -->

              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
                (keyup)="autogrow(1)" rows="5" (click)="autogrow(1)" type="text" id="loan"
                [(ngModel)]="stepThree_3.loan" (ngModelChange)="changeSaveDraft()" #description="ngModel" name="loan"
                required></textarea>
              <div style="position: relative;">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(1, i)" />
                      <div class="unnon_image">
                        <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png" />
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2" accept=".jpg,.png"
                    style="width: 526px;" />
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>
              </div>
              <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดเกณฑ์การกำหนดวงเงินกู้ " style="height: 261px;" [(ngModel)]="formData.loanText"
                      (ngModelChange)="changeSaveDraft()" (change)="change_text_img(1)"></textarea> -->
            </div>
          </div>
        </div>
        <br />

        <!-- ----------------------------- เกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">เกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม</p>
          </div>
          <div class="mainText">
            <div class="textarea-container">
              <!-- 
                  <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                    [innerHTML]="this.textareaForm.get('interest').value"
                    style="min-height: 120px; max-width: auto; padding-top: 7px;" id="interest"
                    (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
                (keyup)="autogrow(2)" rows="5" (click)="autogrow(2)" type="text" id="interest"
                [(ngModel)]="stepThree_3.interest" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="interest" required></textarea>
              <div style="position: relative;">

                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(2, i)" />
                      <div class="unnon_image">
                        <img [src]="image2[i]" class="photo" (click)="image_click(2, i)" />
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(2, $event)" [(ngModel)]="file2_1" accept=".jpg,.png" />
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(2, $event)" [(ngModel)]="file2_2" accept=".jpg,.png" style="width:526px" />
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>

              </div>
              <!-- <textarea
                    class="form-control"
                    id="exampleFormControlTextarea1"
                    rows="enter"
                    placeholder="ระบุรายละเอียดเกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม"
                    style="height: 261px;"
                    [(ngModel)]="formData.interestText"
                    (ngModelChange)="changeSaveDraft()"
                    (change)="change_text_img(2)"
                  ></textarea> -->
            </div>
          </div>
        </div>
        <br />

        <!-- -------------------------------------อำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม----------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">
              อำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม
            </p>
          </div>
          <div class="mainText">
            <div class="textarea-container">
              <!-- 
                  <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                    [innerHTML]="this.textareaForm.get('interestApprove').value"
                    style="min-height: 120px; max-width: auto; padding-top: 7px;" id="interestApprove"
                    (ngModelChange)="changeSaveDraft()"></div> -->

              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
                (keyup)="autogrow(3)" rows="5" (click)="autogrow(3)" type="text" id="interestApprove"
                [(ngModel)]="stepThree_3.interestApprove" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="interestApprove" required></textarea>

              <div style="position: relative;">


                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(3, i)" />
                      <div class="unnon_image">
                        <img [src]="image3[i]" class="photo" (click)="image_click(3, i)" />
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(3, $event)" [(ngModel)]="file3_1" accept=".jpg,.png" />
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(3, $event)" [(ngModel)]="file3_2" accept=".jpg,.png" style="width:526px" />
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>
              </div>
              <!-- <textarea
                    class="form-control"
                    id="exampleFormControlTextarea1"
                    rows="enter"
                    placeholder="เพิ่มรายละเอียดอำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม"
                    style="height: 261px;"
                    [(ngModel)]="formData.interestApproveText"
                    (ngModelChange)="changeSaveDraft()"
                    (change)="change_text_img(3)"
                  ></textarea> -->
            </div>
          </div>
        </div>
        <!-- -----------------------------------เงื่อนไข และประเด็นอื่นเพิ่มเติม------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">เงื่อนไข และประเด็นอื่นเพิ่มเติม</p>
          </div>
          <div class="mainText">
            <div class="textarea-container">

              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                    [innerHTML]="this.textareaForm.get('other').value"
                    style="min-height: 120px; max-width: auto; padding-top: 7px;" id="other"
                    (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
                (keyup)="autogrow(4)" rows="5" (click)="autogrow(4)" type="text" id="other"
                [(ngModel)]="stepThree_3.other" (ngModelChange)="changeSaveDraft()" #description="ngModel" name="other"
                required></textarea>

              <div style="position: relative;">

                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(4, i)" />
                      <div class="unnon_image">
                        <img [src]="image4[i]" class="photo" (click)="image_click(4, i)" />
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(4, $event)" [(ngModel)]="file4_1" accept=".jpg,.png" />
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(4, $event)" [(ngModel)]="file4_2" accept=".jpg,.png" style="width:526px" />
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>


              </div>
              <!-- <textarea
                    class="form-control"
                    id="exampleFormControlTextarea1"
                    rows="enter"
                    placeholder="เพิ่มรายละเอียดเงื่อนไข และประเด็นอื่นเพิ่มเติม"
                    style="height: 261px;"
                    [(ngModel)]="formData.otherText"
                    (ngModelChange)="changeSaveDraft()"
                    (change)="change_text_img(4)"
                  ></textarea> -->
            </div>
          </div>
        </div>
        <br />


        <div style="display: none;">
          <a id="openOversize" data-toggle="modal" data-target="#exampleModal">
            open
          </a>
        </div>

        <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">

          <br />
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event)" />
              <!-- accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                .jpg,.png" -->
              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a style="font-size: 18px; color: #00a6e6;"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
          <div class="table_files">
            <table mat-table [dataSource]="dataSource_file" style="width: 100% !important;">
              <!-- Position Column -->
              <ng-container matColumnDef="fileName">
                <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
              </ng-container>

              <!-- Name Column -->
              <ng-container matColumnDef="fileSize">
                <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                <td mat-cell *matCellDef="let element">
                  {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                </td>
              </ng-container>

              <!-- Name Column -->
              <ng-container matColumnDef="delete">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element; let index = index">
                  <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                    (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                  <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                    (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                  <a class="pipe">|</a>
                  <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
            </table>
          </div>
        </div>
        <!-- end -->
      </div>
    </div>
  </div>
  <br><br>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>



<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModal_3_3" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" [ngClass]="{
              'modal-image-gallery': i !== modalmainImageIndex,
              'modal-image-gallery-select': i === modalmainImageIndex
            }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
</div>









<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="margin-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <!-- -------------------------------------รายละเอียดของแต่ละกลุ่มเป้าหมาย-------------------------------------------- -->
  <div style="background-color: #ffffff;">
    <div class="mt-3 row">
      <div class="col-12">
        <div class="detail-each-group">
          <div class="d-flex" style="align-items: flex-end;">
            <label class="head-detal">รายละเอียดของสินเชื่อ</label>
          </div>
          <hr />
        </div>
      </div>

      <div class="col-12">
        <div class="mt-2 detail-each-group">
          <div class="table-responsives">
            <table>
              <tr>
                <th rowspan="2" *ngFor="let header of header" style="text-align: left !important;">
                  {{ header.value }}
                </th>
                <th colspan="3" style="border-bottom: 1px solid #999999;">
                  อัตราดอกเบี้ยค่าธรรมเนียม (%)
                </th>
                <!-- <th rowspan="2" style="width: 8%;"></th> -->
                <!-- <th>&nbsp;test</th> -->
              </tr>
              <tr>
                <th *ngFor="let sub of sub_header">{{ sub.value }}</th>
              </tr>

              <tr *ngFor="
                  let row of stepThree_3.requestHousingCredit;
                  let index = index
                ">
                <td *ngFor="let header of all_header" [ngStyle]="{ 'text-align' : header.name === 'loandType' || header.name === 'limitType'
                || header.name === 'creditLimit' || header.name === 'preriod'?
                 'left' : 'center' }">
                  {{ row[header.name] }}
                </td>
              </tr>
            </table>
          </div>
        </div>
      </div>

      <div class="col-12">
        <div class="row">
          <div class="col-12">
            <p class="head-detal">
              ลักษณะข้อตกลง
            </p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div *ngFor="let check of stepThree_3.agreement">
              <ul style="margin-bottom: 5px;">
                <li class="ul_10" *ngIf="check.flag">{{ check.topic }}</li>
              </ul>
            </div>
            <br />
          </div>
        </div>
      </div>

      <div class="col-12">
        <div class="type_check">
          <label class="type-collateral">กลุ่มเป้าหมาย </label>
          <hr style="margin-top: 0px;margin-bottom: 20px;">
          <div class="row">
            <div class="col-12" *ngIf="stepThree_3.target[0].flag">
              <label style="vertical-align: top;">
                <ul style="margin-bottom: 0px;">
                  <li class="ul_10 label_validate">
                    {{ stepThree_3.target[0].topic }} :
                  </li>
                </ul>
              </label>
              <label>
                <div *ngFor="let check_0 of stepThree_3.target[0].child">
                  <div *ngIf="check_0.flag">
                    <div class="col-12 label_validate">{{check_0.topic}}</div>
                  </div>
                </div>
              </label>
            </div>

            <div class="col-12" *ngIf="stepThree_3.target[1].flag">
              <label style="vertical-align: top;">
                <ul style="margin-bottom: 0px;">
                  <li class="ul_10 label_validate">
                    {{ stepThree_3.target[1].topic }} :
                  </li>
                </ul>
              </label>
              <label>
                <div *ngFor="let check_1 of stepThree_3.target[1].child">
                  <div *ngIf="check_1.flag">
                    <div class="col-12 label_validate">{{check_1.topic}}</div>
                  </div>
                </div>
              </label>
            </div>

            <div class="col-12" *ngIf="stepThree_3.target[2].flag">
              <label style="vertical-align: top;">
                <ul style="margin-bottom: 0px;">
                  <li class="ul_10 label_validate">
                    {{ stepThree_3.target[2].topic }}
                  </li>
                </ul>
              </label>
              <!-- <label>
                  <div *ngFor="let check_2 of stepThree_3.target[2].child">
                    <div *ngIf="check_2.flag">
                      <div class="col-12 label_validate" >{{check_2.topic}}</div>
                    </div>
                  </div>
                </label> -->
            </div>

            <div class="col-12" *ngIf="stepThree_3.target[3].flag">
              <label style="vertical-align: top;">
                <ul style="margin-bottom: 0px;">
                  <li class="ul_10 label_validate">
                    {{ stepThree_3.target[3].topic }} :
                  </li>
                </ul>
              </label>
              <label>
                <div *ngIf="stepThree_3.target[3].otherDetail">
                  <div class="col-12 label_validate">{{stepThree_3.target[3].otherDetail}}</div>
                </div>
              </label>
            </div>

          </div>
        </div>
      </div>


      <div class="col-12">
        <div class="typeofcollateral">
          <br />
          <div class="row" style="width: 100%; margin: auto;">
            <label style="font-size: 18px; padding-left: 10px;">เกณฑ์การพิจารณาสินเชื่อ</label>
          </div>
          <hr style="margin-top: 0px;margin-bottom: 20px;">

          <div style="width: 100%;" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
            <br />
            <div style="overflow: auto;">
              <!-- -----------------------------------------gain aplicant---------------------------------------- -->
              <table [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
                <tr>
                  <th style="width: 30%; background-color: #e0e0e0;text-align:left !important">หัวข้อ</th>
                  <th *ngFor="let header of index_to_create_template"
                    style="background-color: #e0e0e0; height: 48px;text-align:left !important">
                    <a *ngIf="header != 'Undefined'">{{ header }}</a>
                    <a *ngIf="header == 'Undefined'">ไม่มีกำหนด</a>
                  </th>
                  <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                  <!-- <th>&nbsp;test</th> -->
                </tr>
                <tr>
                  <th [attr.colspan]="length_header + 1"
                    style="text-align: left !important; padding-left: 10px; height: 48px;">
                    คุณสมบัติผู้ขอสินเชื่อ
                  </th>
                </tr>

                <tr *ngFor="let row of stepThree_3.consider.applicant; let index = index" style="vertical-align: top;">
                  <td style="width: 30%; padding-left: 10px; height: 48px;">
                    {{row.topic}}
                  </td>
                  <td *ngFor="let header of index_to_create_template"
                    style="width: 20%; text-align: left;padding-right:5px">
                    {{row.detail[header]}}
                  </td>
                </tr>
              </table>

              <!-- -----------------------------------------gain finance---------------------------------------- -->
              <table class="mt-5" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
                <tr style="display: none;">
                  <!-- <th style="width: 20%; background-color: #e0e0e0;">topic</th>
                  <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0; height: 48px;">
                    {{ header }}
                  </th> -->
                  <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                  <!-- <th>&nbsp;test</th> -->
                </tr>
                <tr>
                  <th [attr.colspan]="length_header + 1"
                    style="text-align: left !important; padding-left: 10px; height: 48px;">
                    ข้อมูลทางการเงิน
                  </th>
                </tr>

                <tr *ngFor="let row of stepThree_3.consider.finan; let index = index" style="vertical-align: top;">
                  <td style="width: 30%; padding-left: 10px; height: 48px;">
                    {{row.topic}}
                  </td>
                  <td *ngFor="let header of index_to_create_template"
                    style="width: 20%; text-align: left;padding-right:5px">
                    {{row.detail[header]}}
                  </td>
                </tr>
              </table>

              <!-- -----------------------------------------gain statusCustomer---------------------------------------- -->
              <table class="mt-5" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
                <tr style="display: none;">
                  <!-- <th style="width: 20%; background-color: #e0e0e0;">topic</th>
                  <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0; height: 48px;">
                    {{ header }}
                  </th> -->
                  <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                  <!-- <th>&nbsp;test</th> -->
                </tr>
                <tr>
                  <th [attr.colspan]="length_header + 1"
                    style="text-align: left !important; padding-left: 10px; height: 48px;">
                    ข้อมูลสถานะ/ประวัติทางการเงินของลูกค้า
                  </th>
                </tr>

                <tr *ngFor="let row of stepThree_3.consider.status; let index = index" style="vertical-align: top;">
                  <!-- <td style="width: 30%; padding-left: 10px; height: 48px;">
                    {{row.topic}}
                  </td>
                  <td *ngFor="let header of index_to_create_template" style="width: 20%; text-align: center;">
                    {{row.detail[header]}}
                  </td> -->
                </tr>
              </table>

              <!-- -----------------------------------------gain Other---------------------------------------- -->
              <table class="mt-5" [ngStyle]="{ display: index_to_create_template[0] == null ? 'none' : '' }">
                <tr style="display: none;">
                  <!-- <th style="width: 20%; background-color: #e0e0e0;">topic</th>
                  <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0; height: 48px;">
                    {{ header }}
                  </th> -->
                  <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                  <!-- <th>&nbsp;test</th> -->
                </tr>
                <tr>
                  <th [attr.colspan]="length_header + 1"
                    style="text-align: left !important; padding-left: 10px; height: 48px;">
                    เกณฑ์การพิจารณาอื่นๆ
                  </th>
                </tr>

                <tr *ngFor="let row of stepThree_3.consider.other; let index = index" style="vertical-align: top;">
                  <td style="width: 30%; padding-left: 10px; height: 48px;">
                    {{row.topic}}
                  </td>
                  <td *ngFor="let header of index_to_create_template"
                    style="width: 20%; text-align: left;padding-right:5px">
                    {{row.detail[header]}}
                  </td>
                </tr>
              </table>
            </div>
            <br /><br />
            <!-- *********************************************************************************************************  -->
            <div class="col-12 typeofcollateral">
              <div class="type_check">
                <label class="type-collateral">ประเภทหลักประกัน</label>
                <hr style="margin-top: 0px;margin-bottom: 20px;">
              </div>
              <div class="row">
                <div class="col-12" *ngIf="stepThree_3.guaranty[0].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        เงินฝาก
                      </li>
                    </ul>
                  </label>
                </div>
                <div class="col-12" *ngIf="stepThree_3.guaranty[1].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        ตราสารหนี้ ตราสารทุน หน่วยลงทุน :
                      </li>
                    </ul>
                  </label>
                  <label>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[1].child[0].flag">พันธบัตร หุ้นกู้
                      หรือตั๋วเงิน</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[1].child[0].flag">
                      หุ้นบุริมสิทธิหรือหุ้นสามัญ</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[1].child[0].flag">
                      หน่วยลงทุนทุกประเภทกองทุนรวม</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[1].child[0].flag">
                      หน่วยลงทุนประเภทกองทุนเปิด</div>
                  </label>
                </div>
                <div class="col-12" *ngIf="stepThree_3.guaranty[2].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        อสังหาริมทรัพย์ :
                      </li>
                    </ul>
                  </label>
                  <label>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[2].child[0].flag">ที่ดินว่างเปล่า
                    </div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[2].child[1].flag">
                      ที่ดินว่างเปล่าที่มีสภาพคล่องต่ำ</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[2].child[2].flag">
                      ที่ดินในนิคมอุตสาหกรรม</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[2].child[3].flag">
                      ที่ดินพร้อมสิ่งปลูกสร้าง</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[2].child[4].flag">กรรมสิทธิ์อาคารชุด
                    </div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[2].child[5].flag">อู่ซ่อมเรือ</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[2].child[6].flag">
                      อสังหาริมทรัพย์อื่นๆ</div>
                  </label>
                </div>
                <div class="col-12" *ngIf="stepThree_3.guaranty[3].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        สินค้า/เครื่องจักร/เรือ :
                      </li>
                    </ul>
                  </label>
                  <label>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[3].child[0].flag">เครื่องจักร</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[3].child[1].flag">
                      สต็อคสินค้าในคลังสินค้า</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[3].child[2].flag">เรือ</div>
                  </label>
                </div>
                <div class="col-12" *ngIf="stepThree_3.guaranty[4].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        การค้ำประกัน :
                      </li>
                    </ul>
                  </label>
                  <label>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[4].child[0].flag">หนังสือค้ำประกัน
                      Standby Letter of Credit</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[4].child[1].flag">
                      การค้ำประกันโดยกระทรวงการคลัง</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[4].child[2].flag">
                      การค้ำประกันโดยสถาบันการเงิน</div>
                    <div class="col-12 label_validate" *ngIf="stepThree_3.guaranty[4].child[3].flag">
                      การค้ำประกันโดยบรรษัทสินเชื่ออุตสาหกรรมขนาดย่อม</div>
                  </label>
                </div>
                <div class="col-12" *ngIf="stepThree_3.guaranty[5].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        โอนสิทธิการเช่า
                      </li>
                    </ul>
                  </label>
                </div>
                <div class="col-12" *ngIf="stepThree_3.guaranty[6].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        บุคคลค้ำประกัน
                      </li>
                    </ul>
                  </label>
                </div>
                <div class="col-12" *ngIf="stepThree_3.guaranty[7].flag">
                  <label style="vertical-align: top;">
                    <ul style="margin-bottom: 0px;">
                      <li class="ul_10 label_validate">
                        อื่นๆ :
                      </li>
                    </ul>
                  </label>
                  <label>
                    <div style="word-break: break-all;" class="col-12 label_validate">
                      {{ stepThree_3.guaranty[7].otherDetail }}</div>
                  </label>
                </div>
              </div>
            </div>
            <!-- *********************************************************************************************************  -->

            <!-- ----------------------------------------- เกณฑ์การกำหนดวงเงินกู้-------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">เกณฑ์การกำหนดวงเงินกู้</p>
              </div>
              <div class="col-12">
                <hr style="margin-top: 0px;margin-bottom: 20px;">
              </div>
              <div class="col-12">
                <div class="row" class="sub_body">
                  <div class="col-12">
                    {{stepThree_3.loan}}
                  </div>
                  <div class="col-12">
                    <div class="image_row">
                      <div class="row image_col">
                        <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                          <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                            (click)="delete_image(1, i)" /> -->
                          <div class="unnon_image">
                            <img [src]="image1[i]" class="photo" (click)="image_click3(1, i)" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />

            <!-- ----------------------------- เกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">เกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม</p>
              </div>
              <div class="col-12">
                <hr style="margin-top: 0px;margin-bottom: 20px;">
              </div>
              <div class="col-12">
                <div class="row" class="sub_body">
                  <div class="col-12">
                    {{stepThree_3.interest}}
                  </div>
                  <div class="col-12">
                    <div class="image_row">
                      <div class="row image_col">
                        <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                          <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                            (click)="delete_image(2, i)" /> -->
                          <div class="unnon_image">
                            <img [src]="image2[i]" class="photo" (click)="image_click3(2, i)" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />

            <!-- -------------------------------------อำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม----------------------------------------------- -->
            <div class="row" id="test">
              <div class="col-12">
                <p class="head-detal">
                  อำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม
                </p>
              </div>
              <div class="col-12">
                <hr style="margin-top: 0px;margin-bottom: 20px;">
              </div>
              <div class="col-12">
                <div class="row" class="sub_body">
                  <div class="col-12">
                    {{stepThree_3.interestApprove}}
                  </div>
                  <div class="col-12">
                    <div class="image_row">
                      <div class="row image_col">
                        <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                          <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                            (click)="delete_image(3, i)" /> -->
                          <div class="unnon_image">
                            <img [src]="image3[i]" class="photo" (click)="image_click3(3, i)" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- -----------------------------------เงื่อนไข และประเด็นอื่นเพิ่มเติม------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">เงื่อนไข และประเด็นอื่นเพิ่มเติม</p>
              </div>
              <div class="col-12">
                <hr style="margin-top: 0px;margin-bottom: 20px;">
              </div>
              <div class="col-12">
                <div class="row" class="sub_body">
                  <div class="col-12">
                    {{stepThree_3.other}}
                  </div>
                  <div class="col-12">
                    <div class="image_row">
                      <div class="row image_col">
                        <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                          <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                            (click)="delete_image(4, i)" /> -->
                          <div class="unnon_image">
                            <img [src]="image4[i]" class="photo" (click)="image_click3(4, i)" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <br />
            <br />
            <!-- ------------------------------------------อัปโหลดเอกสาร ---------------------------------------------------- -->
            <div class="row" *ngIf="template_manage.pageShow !== 'executive'">
              <div class="col-12 table_files">
                <table mat-table [dataSource]="dataSource_file" style="width: 97% !important;">
                  <!-- Position Column -->
                  <ng-container matColumnDef="fileName">
                    <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="fileSize">
                    <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="delete">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index">
                      <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
                </table>
              </div>
            </div>

            <!-- end -->
          </div>
        </div>
      </div>
    </div>
    <br />
  </div>
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>



<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModal_review" class="modal">
  <span class="close cursor" (click)="closeModal3()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" [ngClass]="{
                'modal-image-gallery': i !== modalmainImageIndex,
                'modal-image-gallery-select': i === modalmainImageIndex
              }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
</div>


<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->
<!-- 
<div class="row" [ngStyle]="{'display': pageLast !== 'last'?  'none' : '' }"
  *ngIf="template_manage.pageShow !== 'executive'">
  <div class="col-12" *ngIf="stepThree_3['parentRequestId'] === null && repeat === false">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="nextpage('next')">
      ถัดไป
    </button>
  </div>
  <br><br>
</div> -->


<!-- ----------------------------------------- next button validate = true-------------------------------------------------- -->
<div style="margin-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
  <div [ngStyle]="{'display':pageLast === 'last' ? '' : 'none' }">
    <br>
    <div class="row" *ngIf="stepThree_3['parentRequestId'] === null && repeat === false"
      [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next2" type="button" (click)="nextpage('next')">ถัดไป</button>
      </div>
    </div>
    <br><br>
  </div>
</div>


<!-- ----------------------------------------- viewNext validate = false -------------------------------------------------- -->
<div style="margin-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <br>
  <div class="row" *ngIf="stepThree_3['parentRequestId'] === null && repeat === false"
    [ngStyle]="{'display':pageLast === 'last' ? '' : 'none' }">
    <div class="col-12"
      [ngStyle]="{ display: template_manage.caaStatus === 'show' || template_manage.pageShow === 'executive'? 'none' : '' }">
      <button class="btn btn-outline-secondary button-next2" type="button" (click)="viewNext()">ถัดไป</button>
    </div>
    <br><br>
  </div>
</div>





<br><br>